#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cryptohash
version: 0.11.6
id: cryptohash-0.11.6-dac723f4aeefdcecd73ff6c9ae8544aa

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cryptohash
package-url:
synopsis: collection of crypto hashes, fast, pure and practical
description: A collection of crypto hashes, with a practical incremental and one-pass, pure APIs,
             with performance close to the fastest implementations available in other languages.
             .
             The implementations are made in C with a haskell FFI wrapper that hide the C implementation.
             .
             Simple examples using the unified API:
             .
             > import Crypto.Hash
             >
             > sha1 :: ByteString -> Digest SHA1
             > sha1 = hash
             >
             > hexSha3_512 :: ByteString -> String
             > hexSha3_512 bs = show (hash bs :: Digest SHA3_512)
             .
             Simple examples using the module API:
             .
             > import qualified Crypto.Hash.SHA1 as SHA1
             >
             > main = putStrLn $ show $ SHA1.hash (Data.ByteString.pack [0..255])
             .
             > import qualified Crypto.Hash.SHA3 as SHA3
             >
             > main = putStrLn $ show $ digest
             >   where digest = SHA3.finalize ctx
             >         ctx    = foldl'\'' SHA3.update iCtx (map Data.ByteString.pack [ [1,2,3], [4,5,6] ]
             >         iCtx   = SHA3.init 224
category: Data, Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Hash Crypto.Hash.Types Crypto.MAC
                 Crypto.Hash.SHA1 Crypto.Hash.SHA224 Crypto.Hash.SHA256
                 Crypto.Hash.SHA384 Crypto.Hash.SHA512 Crypto.Hash.SHA512t
                 Crypto.Hash.SHA3 Crypto.Hash.MD2 Crypto.Hash.MD4 Crypto.Hash.MD5
                 Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256 Crypto.Hash.Skein512
                 Crypto.Hash.Tiger Crypto.Hash.Whirlpool Crypto.MAC.HMAC
                 Crypto.MAC.SHA3
hidden-modules: Crypto.Hash.Utils Crypto.Hash.Utils.Cpu
                Crypto.Hash.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/cryptohash-0.11.6
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/cryptohash-0.11.6
              /usr/local/lib
hs-libraries: HScryptohash-0.11.6
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         byteable-0.1.1-6b40a7289955d8e210621adb5e9b0b58
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/cryptohash-0.11.6/html/cryptohash.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/cryptohash-0.11.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
